<template>
    <div class="chat-message">
      <div class="message-info">
        <img :src="message.user.avatar" alt="avatar" class="avatar"/>
        <div class="username">{{ message.user.name }}</div>
        <div class="time">{{ message.time }}</div>
      </div>
      <div class="message-text">{{ message.text }}</div>
    </div>
  </template>
  
  <script>
  export default {
    props: {
      message: {
        type: Object,
        required: true
      }
    }
  }
  </script>
  
  <style scoped>
  .chat-message {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    margin-bottom: 16px;
  }
  
  .message-info {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-right: 16px;
  }
  
  .avatar {
    width: 40px;
    height: 40px;
    border-radius: 50%;
  }
  
  .username {
    font-weight: bold;
    margin-left: 8px;
  }
  
  .time {
    color: gray;
    font-size: 12px;
    margin-left: 8px;
  }
  
  .message-text {
    background-color: white;
    padding: 8px 16px;
    border-radius: 16px;
    box-shadow: 0 2px 2px rgba(0, 0, 0, 10%);
  }
  </style>
  